Index: tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/Corpus.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/Corpus.java	(revision 240)
+++ tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/Corpus.java	(revision 241)
@@ -37,7 +37,7 @@
 import java.util.Map;
 
 import org.eclipse.osgi.util.NLS;
-import org.txm.Messages;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.ITXMResult;
 import org.txm.functions.selection.SelectionResult;
 import org.txm.objects.Base;
@@ -48,7 +48,7 @@
 import org.txm.searchengine.cqp.corpus.query.Query;
 import org.txm.searchengine.cqp.corpus.query.QueryPart;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
-import org.txm.stat.engine.r.RWorkspace;
+import org.txm.statsengine.r.core.RWorkspace;
 import org.txm.utils.logger.Log;
 import org.w3c.dom.Element;
 import org.w3c.dom.NodeList;
@@ -437,7 +437,7 @@
 			boolean registered) throws CqiClientException {
 		Subcorpus subcorpus;
 		String subcorpusCqpId = subcorpusNamePrefix + getNextSubcorpusCounter().toString();
-		Log.finest(Messages.CREATING_SUBCORPUS + this.getQualifiedCqpId()
+		Log.finest(TXMCoreMessages.CREATING_SUBCORPUS + this.getQualifiedCqpId()
 				+ " " + subcorpusName + " " + query.getQueryString()); //$NON-NLS-1$ //$NON-NLS-2$
 
 		long start = System.currentTimeMillis();
@@ -452,8 +452,8 @@
 			throw new CqiClientException(e);
 		}
 		long end = System.currentTimeMillis();
-		Log.finest(Messages.SUBCORPUS_CREATED + subcorpusName
-				+ Messages.Corpus_8 + (end - start));
+		Log.finest(TXMCoreMessages.SUBCORPUS_CREATED + subcorpusName
+				+ TXMCoreMessages.Corpus_8 + (end - start));
 
 		if (!registered) subcorpus.registerToParent();
 		return subcorpus;
@@ -498,7 +498,7 @@
 			StructuralUnitProperty structuralUnitProperty, List<String> values,
 			String subcorpusName) throws CqiClientException {
 		if (values.size() == 0) {
-			Log.warning(Messages.Corpus_5);
+			Log.warning(TXMCoreMessages.Corpus_5);
 			return null;
 		}
 		String value = ""; //$NON-NLS-1$
@@ -604,7 +604,7 @@
 	 *             the cqi client exception
 	 */
 	public void dropPartition(Partition partition) throws CqiClientException {
-		Log.finest(Messages.DROP_PARTITION + partition.getName());
+		Log.finest(TXMCoreMessages.DROP_PARTITION + partition.getName());
 		for (Part part : partition.getParts())
 			try {
 				CorpusManager.getCorpusManager().getCqiClient().dropSubCorpus(part.getQualifiedCqpId());
@@ -625,7 +625,7 @@
 	 */
 	public void dropQueryResult(QueryResult queryResult)
 			throws CqiClientException {
-		Log.finest(Messages.DROP_QUERYRESULT + queryResult.getName());
+		Log.finest(TXMCoreMessages.DROP_QUERYRESULT + queryResult.getName());
 		try {
 			CorpusManager.getCorpusManager().getCqiClient().dropSubCorpus(queryResult.getQualifiedCqpId());
 		} catch (Exception e) {
@@ -643,7 +643,7 @@
 	 *             the cqi client exception
 	 */
 	public boolean dropSubcorpus(Corpus subcorpus) throws CqiClientException {
-		Log.finest(NLS.bind(Messages.DROP_SUBCORPUS, subcorpus.getName()));
+		Log.finest(NLS.bind(TXMCoreMessages.DROP_SUBCORPUS, subcorpus.getName()));
 		subcorpus.dropAllSubcorpora();
 		subcorpus.dropAllPartitions();
 		try {
@@ -722,8 +722,8 @@
 	 * @return the infos
 	 */
 	public String getInfos() {
-		return Messages.Corpus_2 + this.name + Messages.Corpus_3 + getCharset()
-				+ Messages.Corpus_4 + getLanguage();
+		return TXMCoreMessages.Corpus_2 + this.name + TXMCoreMessages.Corpus_3 + getCharset()
+				+ TXMCoreMessages.Corpus_4 + getLanguage();
 	}
 
 	/**
@@ -771,7 +771,7 @@
 			} catch (Exception e) {
 				// TODO Auto-generated catch block
 				//org.txm.utils.logger.Log.printStackTrace(e);
-				System.out.println(Messages.Corpus_13+e);
+				System.out.println(TXMCoreMessages.Corpus_13+e);
 			}
 		}
 		if(lang != null)
@@ -1050,7 +1050,7 @@
 	public boolean load() {
 		//System.out.println("*** Load corpus: "+name);
 		if (selfElement == null) {
-			System.out.println(Messages.Corpus_14+this+Messages.Corpus_15);
+			System.out.println(TXMCoreMessages.Corpus_14+this+TXMCoreMessages.Corpus_15);
 			return false;
 		}
 
@@ -1075,7 +1075,7 @@
 					subcorp.selfElement = subcorpusElem;
 					subcorp.load();
 				} catch (CqiClientException e) {
-					Log.warning(this.name + Messages.Corpus_12 + name
+					Log.warning(this.name + TXMCoreMessages.Corpus_12 + name
 							+ " : " + e); //$NON-NLS-1$
 				}
 			}
@@ -1099,7 +1099,7 @@
 					Partition partition = this.createPartition(name, queries, names, true);
 					partition.load(partitionElem);
 				} catch (CqiClientException e) {
-					Log.warning(this.name + Messages.Corpus_19 + name
+					Log.warning(this.name + TXMCoreMessages.Corpus_19 + name
 							+ " : " + e); //$NON-NLS-1$
 					//c.getParentNode().removeChild(c);
 				}
@@ -1137,7 +1137,7 @@
 		QueryResult queryResult = null;
 		//String queryResultId = queryResultNamePrefix + UUID.randomUUID().toString();
 		String queryResultId = queryResultNamePrefix + getNextQueryCounter();
-		Log.finest(NLS.bind(Messages.QUERY, new String[]{this.getQualifiedCqpId(), queryResultId, query.getQueryString()})); //$NON-NLS-1$//$NON-NLS-2$ //$NON-NLS-3$
+		Log.finest(NLS.bind(TXMCoreMessages.QUERY, new String[]{this.getQualifiedCqpId(), queryResultId, query.getQueryString()})); //$NON-NLS-1$//$NON-NLS-2$ //$NON-NLS-3$
 		// long start = System.currentTimeMillis();
 		try {
 			CorpusManager.getCorpusManager().getCqiClient().cqpQuery(
Index: tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/MainCorpus.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 240)
+++ tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 241)
@@ -38,11 +38,11 @@
 import java.util.Set;
 import java.util.UUID;
 
-import org.txm.Messages;
 import org.txm.Toolbox;
 import org.txm.annotation.AnnotationManager;
 import org.txm.annotation.repository.KnowledgeRepository;
 import org.txm.annotation.repository.KnowledgeRepositoryManager;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.functions.ProgressWatcher;
 import org.txm.objects.Base;
 import org.txm.objects.BaseParameters;
@@ -101,7 +101,7 @@
 	@Override
 	public boolean checkCqpId(String cqpId) throws InvalidCqpIdException {
 		if (!cqpId.equals(cqpId.toUpperCase()))
-			throw new InvalidCqpIdException(cqpId + Messages.MainCorpus_0);
+			throw new InvalidCqpIdException(cqpId + TXMCoreMessages.MainCorpus_0);
 		return true;
 	}
 	
@@ -126,11 +126,11 @@
 		// System.out.println("in "+this.getCqpId()+" look for cached lexicon "+property);
 		if (lexicons.containsKey(property.getName())
 				&& lexicons.get(property.getName()) != null) {
-			Log.finest(Messages.RETURNING_CACHED_LEXICON + this.name);
+			Log.finest(TXMCoreMessages.RETURNING_CACHED_LEXICON + this.name);
 			return lexicons.get(property.getName());
 		}
 		// System.out.println("not found");
-		Log.finest(Messages.LEXICON + this.name);
+		Log.finest(TXMCoreMessages.LEXICON + this.name);
 		long start = System.currentTimeMillis();
 		int lexiconSize;
 		try {
@@ -164,7 +164,7 @@
 		Lexicon lexicon = new Lexicon(this, property, freqs, ids);
 
 		long end = System.currentTimeMillis();
-		Log.finest(Messages.END_SUBCORPUS_LEXICON + this.name + Messages.MainCorpus_1 + (end - start));
+		Log.finest(TXMCoreMessages.END_SUBCORPUS_LEXICON + this.name + TXMCoreMessages.MainCorpus_1 + (end - start));
 
 		// System.out.println("add in "+this.getCqpId()+"cache "+property.getName());
 		lexicons.put(property.getName(), lexicon);
@@ -445,7 +445,7 @@
 
 		// delete binaries
 		File binaries = this.getBaseDirectory();
-		System.out.println(Messages.MainCorpus_2+binaries);
+		System.out.println(TXMCoreMessages.MainCorpus_2+binaries);
 		return DeleteDir.deleteDirectory(binaries);
 	}
 
Index: tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/Subcorpus.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 240)
+++ tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 241)
@@ -32,9 +32,9 @@
 import java.util.List;
 
 import org.eclipse.osgi.util.NLS;
-import org.txm.Messages;
 import org.txm.annotation.AnnotationManager;
 import org.txm.annotation.repository.KnowledgeRepository;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.functions.selection.SelectionResult;
 import org.txm.objects.Base;
 import org.txm.objects.TxmObject;
@@ -143,7 +143,7 @@
 	 */
 	@Override
 	public int getSize() throws CqiClientException {
-		Log.finest(Messages.bind(Messages.SUBCORPUS_SIZE, new Object[]{this.name, "N/A"}));
+		Log.finest(TXMCoreMessages.bind(TXMCoreMessages.SUBCORPUS_SIZE, new Object[]{this.name, "N/A"}));
 		long start = System.currentTimeMillis();
 		if (this.size == -1) {
 			try {
@@ -169,7 +169,7 @@
 			}
 		}
 		long end = System.currentTimeMillis();
-		Log.finest(NLS.bind(Messages.END_SUBCORPUS_SIZE, new Object[]{this.name, this.size, (end - start)})); //$NON-NLS-1$
+		Log.finest(NLS.bind(TXMCoreMessages.END_SUBCORPUS_SIZE, new Object[]{this.name, this.size, (end - start)})); //$NON-NLS-1$
 		return this.size;
 	}
 
@@ -245,7 +245,7 @@
 	@Override
 	public boolean checkCqpId(String cqpId) throws InvalidCqpIdException {
 		if (!AbstractCqiClient.checkSubcorpusId(cqpId))
-			throw new InvalidCqpIdException(cqpId + Messages.Subcorpus_3);
+			throw new InvalidCqpIdException(cqpId + TXMCoreMessages.Subcorpus_3);
 		return true;
 	}
 
@@ -261,11 +261,11 @@
 		// System.out.println("in "+this.getCqpId()+" look for cached lexicon "+property);
 		if (lexicons.containsKey(property.getName())
 				&& lexicons.get(property.getName()) != null) {
-			Log.finest(Messages.RETURNING_CACHED_LEXICON + this.name);
+			Log.finest(TXMCoreMessages.RETURNING_CACHED_LEXICON + this.name);
 			return lexicons.get(property.getName());
 		}
 		//System.out.println("not found");
-		Log.finest(Messages.SUBCORPUS_LEXICON + this.name);
+		Log.finest(TXMCoreMessages.SUBCORPUS_LEXICON + this.name);
 		long start = System.currentTimeMillis();
 		int[][] fdist = null;
 		Subcorpus tmp = null;
@@ -299,8 +299,8 @@
 		Lexicon lexicon = new Lexicon(this, property, freqs, ids);
 
 		long end = System.currentTimeMillis();
-		Log.finest(Messages.END_SUBCORPUS_LEXICON + this.name
-				+ Messages.Subcorpus_1 + (end - start));
+		Log.finest(TXMCoreMessages.END_SUBCORPUS_LEXICON + this.name
+				+ TXMCoreMessages.Subcorpus_1 + (end - start));
 
 		// System.out.println("add in "+this.getCqpId()+"cache "+property.getName());
 		lexicons.put(property.getName(), lexicon);
@@ -340,7 +340,7 @@
 					subcorp.selfElement = subcorpusElem;
 					subcorp.load();
 				} catch (CqiClientException e) {
-					Log.warning(this.name + Messages.Corpus_12 + name
+					Log.warning(this.name + TXMCoreMessages.Corpus_12 + name
 							+ " : " + e); //$NON-NLS-1$
 				}
 			}
@@ -363,7 +363,7 @@
 					Partition partition = this.createPartition(name, queries, names, true);
 					partition.load(partitionElem);
 				} catch (CqiClientException e) {
-					Log.warning(this.name + Messages.Corpus_19 + name
+					Log.warning(this.name + TXMCoreMessages.Corpus_19 + name
 							+ " : " + e); //$NON-NLS-1$
 					//c.getParentNode().removeChild(c);
 				}
@@ -413,7 +413,7 @@
 				corporaElem.appendChild(subcorpusElem);
 				this.selfElement = subcorpusElem;
 			} catch (Exception e) {
-				System.out.println(Messages.Subcorpus_2+Log.toString(e));
+				System.out.println(TXMCoreMessages.Subcorpus_2+Log.toString(e));
 			}
 
 		this.load();
Index: tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/query/PartitionFocus.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/query/PartitionFocus.java	(revision 240)
+++ tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/query/PartitionFocus.java	(revision 241)
@@ -30,7 +30,7 @@
 import java.util.ArrayList;
 import java.util.List;
 
-import org.txm.Messages;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.searchengine.cqp.corpus.Part;
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.utils.logger.Log;
@@ -87,13 +87,13 @@
 		List<String> partNames = partition.getPartNames();
 		for (String mod : modality) {
 			if (mod == null || mod.equals("")) { //$NON-NLS-1$
-				Log.finest(Messages.PartitionFocus_1);
-				throw new IllegalArgumentException(Messages.PartitionFocus_2);
+				Log.finest(TXMCoreMessages.PartitionFocus_1);
+				throw new IllegalArgumentException(TXMCoreMessages.PartitionFocus_2);
 			}
 			if (!partNames.contains(mod)) {
-				Log.finest(Messages.PartitionFocus_3 + mod
+				Log.finest(TXMCoreMessages.PartitionFocus_3 + mod
 						+ " " + partNames); //$NON-NLS-1$
-				throw new IllegalArgumentException(Messages.PartitionFocus_4);
+				throw new IllegalArgumentException(TXMCoreMessages.PartitionFocus_4);
 			}
 		}
 	}
Index: tmp/org.txm.core/src/java/org/txm/searchengine/cqp/AbstractCqiClient.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/searchengine/cqp/AbstractCqiClient.java	(revision 240)
+++ tmp/org.txm.core/src/java/org/txm/searchengine/cqp/AbstractCqiClient.java	(revision 241)
@@ -37,7 +37,7 @@
 import java.util.UUID;
 import java.util.regex.Pattern;
 
-import org.txm.Messages;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.clientExceptions.UnexpectedAnswerException;
 import org.txm.searchengine.cqp.corpus.Corpus;
@@ -49,7 +49,6 @@
 import org.txm.searchengine.cqp.corpus.query.Query;
 import org.txm.searchengine.cqp.serverException.CqiCqpErrorNoSuchCorpus;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
-import org.txm.utils.ExecTimer;
 import org.txm.utils.logger.Log;
 
 /**
@@ -88,7 +87,7 @@
 	public synchronized String getLastError(){	
 		if(lastError != null && lastError.length() > 0)
 			return lastError;
-		return Messages.AbstractCqiClient_2;
+		return TXMCoreMessages.AbstractCqiClient_2;
 	}
 	
 	public List<String> getSingleData(Property prop) throws IOException, CqiServerError, CqiClientException {
Index: tmp/org.txm.core/src/java/org/txm/importer/Convert5To6.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/Convert5To6.java	(revision 240)
+++ tmp/org.txm.core/src/java/org/txm/importer/Convert5To6.java	(revision 241)
@@ -9,11 +9,11 @@
 import java.util.regex.Pattern;
 import java.util.regex.PatternSyntaxException;
 
-import org.txm.Messages;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.objects.BaseParameters;
 import org.txm.objects.Page;
+import org.txm.utils.FileCopy;
 import org.txm.utils.xml.DomUtils;
-import org.txm.utils.FileCopy;
 import org.txm.utils.zip.Zip;
 import org.w3c.dom.Document;
 import org.w3c.dom.Element;
@@ -35,7 +35,7 @@
 		File param = new File(corpusdir, "import.xml"); //$NON-NLS-1$
 		if (!param.exists()) { 
 			//System.out.println("\n");
-			System.out.println(Messages.bind(Messages.Convert5To6_1,param)); //$NON-NLS-1$
+			System.out.println(TXMCoreMessages.bind(TXMCoreMessages.Convert5To6_1,param)); //$NON-NLS-1$
 			return false; 
 		}
 
@@ -58,29 +58,29 @@
 		File REGISTRY = new File(INDIR, "registry"); //$NON-NLS-1$
 		File IMPORT = new File(INDIR, "import.xml"); //$NON-NLS-1$
 		
-		if (!silent) System.out.println(Messages.Convert5To6_6);
+		if (!silent) System.out.println(TXMCoreMessages.Convert5To6_6);
 		if (!TXMs.exists()) {
-			if (!silent) System.out.println(Messages.Convert5To6_7+TXMs);
+			if (!silent) System.out.println(TXMCoreMessages.Convert5To6_7+TXMs);
 			return false;
 		}
 
 		if (!HTMLs.exists()) {
-			if (!silent) System.out.println(Messages.Convert5To6_8+HTMLs);
+			if (!silent) System.out.println(TXMCoreMessages.Convert5To6_8+HTMLs);
 			return false;
 		}
 
 		if (!DATAs.exists()) {
-			if (!silent) System.out.println(Messages.Convert5To6_9+DATAs);
+			if (!silent) System.out.println(TXMCoreMessages.Convert5To6_9+DATAs);
 			return false;
 		}
 
 		if (!REGISTRY.exists()) {
-			if (!silent) System.out.println(Messages.Convert5To6_10+REGISTRY);
+			if (!silent) System.out.println(TXMCoreMessages.Convert5To6_10+REGISTRY);
 			return false;
 		}
 
 		if (!HTMLmulti.exists()) {
-			if (!silent) System.out.println(Messages.Convert5To6_11+HTMLmulti);
+			if (!silent) System.out.println(TXMCoreMessages.Convert5To6_11+HTMLmulti);
 			return false;
 		}
 
@@ -88,7 +88,7 @@
 	}
 
 	private boolean process() throws Exception {
-		System.out.println(Messages.Convert5To6_12);
+		System.out.println(TXMCoreMessages.Convert5To6_12);
 		String corpusname = REGISTRY.listFiles()[0].getName().toUpperCase();
 
 		// create the corpus directories
@@ -107,7 +107,7 @@
 		TXMc.mkdir();
 		DATAc.mkdir();
 		
-		System.out.println(Messages.Convert5To6_15+OUTDIR);
+		System.out.println(TXMCoreMessages.Convert5To6_15+OUTDIR);
 		// move files
 		for (File f : HTMLmulti.listFiles())
 			f.renameTo(new File(HTMLcmulti, f.getName()));
@@ -138,7 +138,7 @@
 		String date = BaseParameters.dateformat.format(new Date(IMPORT.lastModified()));
 
 		if (IMPORT.exists()) {
-			System.out.println(Messages.Convert5To6_19+IMPORT);
+			System.out.println(TXMCoreMessages.Convert5To6_19+IMPORT);
 			Document doc = DomUtils.load(IMPORT);
 			Element root = doc.getDocumentElement();
 			lang = root.getAttribute("language"); //$NON-NLS-1$
@@ -156,7 +156,7 @@
 		File PARAMS = new File(BINDIR, "import.xml"); //$NON-NLS-1$
 		System.out.println("writing "+PARAMS); //$NON-NLS-1$
 		BaseParameters.createEmptyParams(PARAMS, corpusname.toUpperCase());
-		System.out.println(Messages.Convert5To6_30);
+		System.out.println(TXMCoreMessages.Convert5To6_30);
 		BaseParameters params = new BaseParameters(PARAMS);
 		params.load();
 
@@ -181,7 +181,7 @@
 		//params.addEditionDefinition(corpusElem, "default", "groovy", "");
 		params.addEditionDefinition(corpusElem, "onepage", "groovy", ""); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		for (File txmFile : TXMc.listFiles()) {
-			System.out.println(Messages.Convert5To6_46+txmFile);
+			System.out.println(TXMCoreMessages.Convert5To6_46+txmFile);
 			String textname = txmFile.getName();
 			textname = textname.substring(0, textname.indexOf(".")); //$NON-NLS-1$
 
